1. Withdraw
Payland API v2
  • API Response Codes and Messages
  • Credit Card Info & Test Cards
  • Withdraw Info
  • Deposit
    • Create Deposit (Bank Transfer)
      POST
    • Create Deposit (Credit Card)
      POST
    • Create Deposit (Crypto)
      POST
    • Check Deposit Status
      GET
  • Withdraw
    • Create Withdraw (Bank Transfer)
      POST
    • Check Withdrawal Status
      GET
  • Callback
    • Callback Request
      POST
  1. Withdraw

Create Withdraw (Bank Transfer)

POST
/api/v2/withdraw

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.payland.info/api/v2/withdraw' \
--header 'x-api-key: {{api_key}}' \
--header 'x-secret-key: {{secret_key}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "WTH_{{$randomInt}}",
    "bank_id": {{bank_id}},
    "first_name": "John",
    "last_name": "Doe",
    "username": "johndoe",
    "amount": 500.00,
    "iban": "TR123456789012345678901234",
    "callback_url": "https://www.site.site/callback/payland",
    "extra_fields": {
        "note": "Withdrawal request"
    }
}'
Response Response Example
201 - Success
{
    "success": true,
    "message": "Withdrawal request created successfully.",
    "data": {
        "transaction_id": "WTH_507",
        "hashed_transaction_id": "90eb7665-1e98-4912-a68c-f9b408987e0c",
        "status": "pending",
        "amount": "500.00"
    },
    "code": 201
}
Modified at 2026-02-09 18:24:31
Previous
Check Deposit Status
Next
Check Withdrawal Status
Built with